Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1172806 - (CVE-2014-9322) CVE-2014-9322 kernel: x86: local privesc due to bad_iret and paranoid entry incompatibility
CVE-2014-9322 kernel: x86: local privesc due to bad_iret and paranoid entry i...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20141215,repo...
: Security
Depends On: 1172809 1172810 1172811 1172812 1172813 1172814 1172945 1173083 1173084 1173085 1173591 1173592 1175501
Blocks: 1170693
  Show dependency treegraph
 
Reported: 2014-12-10 14:31 EST by Petr Matousek
Modified: 2018-02-12 14:30 EST (History)
26 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the Linux kernel handled GS segment register base switching when recovering from a #SS (stack segment) fault on an erroneous return to user space. A local, unprivileged user could use this flaw to escalate their privileges on the system.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-06 15:20:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1997 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-16 19:12:55 EST
Red Hat Product Errata RHSA-2014:1998 normal SHIPPED_LIVE Important: kernel-rt security update 2014-12-16 18:51:30 EST
Red Hat Product Errata RHSA-2014:2008 normal SHIPPED_LIVE Important: kernel security update 2014-12-17 18:28:07 EST
Red Hat Product Errata RHSA-2014:2009 normal SHIPPED_LIVE Important: kernel security update 2014-12-17 18:38:35 EST
Red Hat Product Errata RHSA-2014:2010 normal SHIPPED_LIVE Important: kernel security update 2014-12-18 08:23:19 EST
Red Hat Product Errata RHSA-2014:2028 normal SHIPPED_LIVE Important: kernel security update 2014-12-22 18:51:03 EST
Red Hat Product Errata RHSA-2014:2029 normal SHIPPED_LIVE Important: kernel security update 2014-12-22 19:13:38 EST
Red Hat Product Errata RHSA-2014:2030 normal SHIPPED_LIVE Important: kernel security update 2014-12-22 19:13:27 EST
Red Hat Product Errata RHSA-2014:2031 normal SHIPPED_LIVE Important: kernel security update 2014-12-22 19:01:45 EST
Red Hat Product Errata RHSA-2015:0009 normal SHIPPED_LIVE Important: kernel security update 2015-01-05 19:48:05 EST

  None (edit)
Description Petr Matousek 2014-12-10 14:31:55 EST
It was found that because paranoid entry does not contain the swapgs fixup for
bad_iret (unlike error entry), under certain conditions (#SS on iret) it can
happen that bad_iret is reached with usergs instead of kernelgs that it is
expecting.

A local unprivileged user can use this flaw to increase their privileges on
the system.

Upstream fix:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=6f442be2fb22be02cafa606f1769fa1e6f894441

Acknowledgements:

Red Hat would like to thank Andy Lutomirski for reporting this issue.
Comment 1 Petr Matousek 2014-12-10 14:32:23 EST
Statement:

This issue does affect the Linux kernel packages as shipped with Red Hat
Enterprise Linux 4, 5, 6, and 7, and Red Hat Enterprise MRG 2. Future Linux
kernel updates for the respective releases will address this issue.
Comment 4 Petr Matousek 2014-12-10 14:36:03 EST
Fedora included the patch for this issue as part of the CVE-2014-9090 fix and the impact was limited to local DoS due to the espfix64 functionality.
Comment 9 errata-xmlrpc 2014-12-16 13:52:05 EST
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:1998 https://rhn.redhat.com/errata/RHSA-2014-1998.html
Comment 10 errata-xmlrpc 2014-12-16 14:14:38 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1997 https://rhn.redhat.com/errata/RHSA-2014-1997.html
Comment 13 errata-xmlrpc 2014-12-17 13:28:32 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:2008 https://rhn.redhat.com/errata/RHSA-2014-2008.html
Comment 14 errata-xmlrpc 2014-12-17 13:39:00 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only

Via RHSA-2014:2009 https://rhn.redhat.com/errata/RHSA-2014-2009.html
Comment 15 errata-xmlrpc 2014-12-18 03:23:48 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:2010 https://rhn.redhat.com/errata/RHSA-2014-2010.html
Comment 16 errata-xmlrpc 2014-12-22 13:51:15 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.2 AUS

Via RHSA-2014:2028 https://rhn.redhat.com/errata/RHSA-2014-2028.html
Comment 17 errata-xmlrpc 2014-12-22 14:02:04 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5.6 Long Life

Via RHSA-2014:2031 https://rhn.redhat.com/errata/RHSA-2014-2031.html
Comment 18 errata-xmlrpc 2014-12-22 14:14:26 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5.9 EUS - Server Only

Via RHSA-2014:2029 https://rhn.redhat.com/errata/RHSA-2014-2029.html
Comment 19 errata-xmlrpc 2014-12-22 14:19:04 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2014:2030 https://rhn.redhat.com/errata/RHSA-2014-2030.html
Comment 21 errata-xmlrpc 2015-01-05 14:48:14 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 4 Extended Lifecycle Support

Via RHSA-2015:0009 https://rhn.redhat.com/errata/RHSA-2015-0009.html
Comment 26 Martin Prpič 2015-07-07 07:44:56 EDT
Detailed analysis of this issue has been posted on oss-sec:

http://seclists.org/oss-sec/2015/q3/25

Note You need to log in before you can comment on or make changes to this bug.